#!/usr/bin/env python3

"""
color_demo.py
Demo on how to used colors in displaying text in 
a terminal.
"""

class Bcolors(object):
    """
    Usage:
        print(Bcolors.RED + "Warning" + Bcolors.ENDC)
        From: http://stackoverflow.com/questions/287871/print-in-terminal-with-colors-using-python
    """
    # Define colors. Upper case versions are brighter
    white = '\033[97m'
    WHITE = '\033[1;97m'
    magenta = '\033[95m'
    MAGENTA = '\033[1;95m'
    violet = '\033[94m'
    VIOLET = '\033[1;94m'
    yellow = '\033[93m'
    green = '\033[92m'
    GREEN = '\033[1;92m'
    red = '\033[91m'
    magenta2 = '\033[35m'
    blue = '\033[34m'
    yellow2 = '\033[33m'
    green2 = '\033[32m'
    GREEN2 = '\033[1;32m'
    red = '\033[31m'
    cyan = '\033[36m'
    white = '\033[37m'
    ENDC = '\033[0m'

def main():
    print(Bcolors.red + "Stop!" + Bcolors.ENDC)
    print(Bcolors.green2 + "GO!" + Bcolors.ENDC)
    print("See how it works?")

if __name__ == "__main__":
    main()