#!/usr/bin/env python3

"""
passwords.py
Write a program that keeps track of different passwords for a user.

Part 1. Write a program that has the user enter a series of `website_info` values for websites that they visit regularly. Have the user enter a `website_name` for each website until they enter a sentinel value of "". Store these values in a list. Once completed, print out the list of websites.

Part 2. Our program will get more complicated soon, so let's move the "enter_website" capability to a separate function. That function, `add_website`, takes a `website_info` list as a parameter, and goes through through the process of asking the user for a single website name. We'll also have a function `display_all_entries` that takes `website_info` as a parameter so that it can print out all the entries. In the main program, we'll initialize a `website_info` list to be empty, and then create a "Menu loop" that asks the user if they want to 1) add an entry, or 2) list all the entries.
 
Part 3. Modify the program so that the `main` has two additional lists: `user_id` and `password`. Each of these lists will keep track of the information used to log in to each site listed in `website_info`. Then, in the website entry loop, it asks for the `user_id` and a `password`. Append each of the three items to their appropriate list. Also, modify the `display_all_entries` so that it prints out all three items for each website.

Part 4. Modify the program to use a "list of lists" rather than the three lists that you've used so far.

Part 5. Write another function called `lookup`. It takes `website_list` as a parameter, asks the user to enter a website name, looks for that website name, and then prints out the information for that website login. Add this function to our list of options in the main program's menu loop.

Part 6. Write two new functions--`write_data` and `read_data`--that respectively write the login information into a text file and read the information from that text file so that we can save entries even after the program has ended.


"""


def main():
    # program goes here

if __name__ == "__main__":
    main()