#!/usr/bin/env python3
"""
w5_character_checker.py
This program has three functions. Each one takes a string as a parameter,
and then counts a specific type of character and returns that result to 
the caller.

You will find the `in` operation useful here. If you want to check if 
a certain letter is in a group of letters, you can say:

    if letter in group:
        print("The letter is here!")

So, if `vowels` = "aeiou" and you want to count vowels in a word:

    count = 0
    for i in range(len(word)):
        if word[i] in vowels:
            count += 1
    print("I found",count,"vowels!")

"""


__author__ = "Your name"
__version__ = "The date"



def count_letters(expression):
    """This function takes the String parameter `expression` and counts
    how many letters (A..Z or a..z) occur in that expression.
    """

    alphabet = "abcdefghijklmnopqrstuvwxyz"
    # Replace this line with your code


def count_digits(expression):
    """This function takes the String expression `expression` and counts
    how many digits (0..9) occur in that expression.
    """

    digits = "0123456789"
    # Replace this line with your code


def count_special_chars(expression):
    """This function takes the String expression `expression` and counts
    how many special characters -- !@#$%^&*() -- occur in that expression.
    """

    digits = "!@#$%^&*()"
    # Replace this line with your code





# ========= Tester below. No need to edit code below. ================

def main():
    tests = (("pippin*17",6,2,1),
             ("Cowboy14",6,2,0),
             ("3452()",0,4,2))
    tests_passed = 0
    tests_total = len(tests) * (len(tests[0]) - 1)
    for test in tests:
        print("Test string: " + test[0])
        print("Testing the count_letters() function...")
        if count_letters(test[0]) == test[1]:
            print("Test passed!")
            tests_passed += 1
        else:
            print("Test failed!")

        print("Testing the count_digits() function...")
        if count_digits(test[0]) == test[2]:
            print("Test passed!")
            tests_passed += 1
        else:
            print("Test failed!")
        
        print("Testing the count_special_chars() function...")
        if count_special_chars(test[0]) == test[3]:
            print("Test passed!")
            tests_passed += 1
        else:
            print("Test failed!")
        
    print("Testing completed.")
    print(tests_passed, "out of",tests_total,"tests passed") 
        
if __name__ == "__main__":
    main()




