#!/usr/bin/env python3

"""
ball.py
An explanation of what this program does
"""

__author__ = "Richard White"
__version__ = "2021-10-15"


class Ball(object):

    def __init__(self, x, y, vX, vY, radius):
        """This initializes a new Ball object in terms of
        its x,y position in space, its velocity components,
        and its radius. (I enjoyed our conversation, Gavin!)
        """
        self.x = x
        self.y = y
        self.vX = vX
        self.vY = vY
        self.radius = radius

    def getX(self):
        return self.x

    def getY(self):
        return self.y

    def setX(self, newX):
        self.x = newX

    def setY(self, newY):
        self.y = newY

    def getvX(self):
        return self.vX

    def getvY(self):
        return self.vY

    def setvX(self, newvX):
        self.vX = newvX

    def setvY(self, newvY):
        self.vY = newvY

    def getRadius(self):
        return self.radius   
    
    def setRadius(self, newRadius):
        self.radius = newRadius

    def move(self, t):
        self.x = self.x + self.vX * t   # updates the x-position
        self.y = self.y + self.vY * t

    def __str__(self):
        return "Ball[x=" + str(self.x) + \
                   ",y=" + str(self.y) + \
                   ",vX=" + str(self.vX) + \
                   ",vY=" + str(self.vY) + \
                   ",radius=" + str(self.radius) + "]"
         

