#!/usr/bin/env python3
"""
selection_sort.py
Demonstrates the use of a Selection Sort algorithm.

The Selection Sort algorithm begins at the first position and moves
through the entire list, looking for the smallest value. Once it finds
the location of the smallest value, it exchanges the value there with
the value at the first position. It then proceeds to the second position
and moves through the entire list, repeating the process. By the time it
arrives at the last position the list is sorted.

@author Richard White
@version 2015-06-08
"""

import random

def create_random_values(the_range, the_amount):
    """
    This function takes a given range and produces a given amount of 
    random values in a list, then returns that list.
    """
    # Set up an empty list
    
    # Loop through the appropriate number of times
    
        # Append in a random number from the appropriate range to the list
    
    # return the list to the main program
    

def sort(lst):
    """
    This function takes the list of values in lst
    and performs a selection sort on them. There is no need to
    return the list.
    """
    
    # 1. Looping through the list of values
    
    # 2.     Set minimum_index = location of smallest value seen so far
        
    # 3.     Loop through the remainder of the list
        
    # 4.         If you find a value smaller than the smallest one:
            
    # 5.             Save the location of that value
                
    # 6.     Once you've checked all the values, swap the smallest value
    #        with the current first value
        


def main():
    # Create values using the function above
    
    # Print out the list of random values

    # Sort the list of random values using the function above
    
    # Print out the list of values, now sorted
    

if __name__ == "__main__":
    main()


